use winit::event_loop::EventLoop;
use winit::window::Window;

mod display;
mod vulkan;

fn main() {
    env_logger::init();

    let event_loop = EventLoop::new().unwrap();

    let window_attributes = Window::default_attributes()
        .with_title("Rust ASH Test")
        .with_visible(true)
        .with_inner_size(winit::dpi::LogicalSize::new(
            f64::from(800),
            f64::from(600),
        ));
    
    let mut app = display::App::new(window_attributes);

    let _ = event_loop.run_app(&mut app);
}
